Subject: Re: [PATCH 1/1] virtio/vsock: Make vsock virtio packet buff size configurable

From: Carlos Llamas <[email-masked]>
Date: Fri, 9 Dec 2022 19:48:02 +0000

On Thu, Jul 22, 2021 at 02:55:19PM +0200, Stefano Garzarella wrote:
> > 
> > +uint virtio_transport_max_vsock_pkt_buf_size = 1024 * 64;
> > +module_param(virtio_transport_max_vsock_pkt_buf_size, uint, 0444);
> > +EXPORT_SYMBOL_GPL(virtio_transport_max_vsock_pkt_buf_size);
> > +

I'm interested on this functionality, so I could take this on.

> 
> Maybe better to add an entry under sysfs similar to what Jiang proposed
> here:
> https://lists.linuxfoundation.org/pipermail/virtualization/2021-June/054769.html

Having a look at Jiang's RFC patch it seems the proposed sysfs node
hangs off from the main kernel object e.g. /sys/kernel. So I wonder if
there is a more appropriate parent for this knob?

Also, I noticed that Ram's patch here is using read-only permissions for
the module parameter and switching to sysfs would mean opening this knob
up to be dynamically configured? I'd need to be careful here.

--
Carlos Llamas